﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.IO;

/*
WPF-LINQ to SQL Sample
Copyright 2008 Ash Tewari (www.tewari.info)
This work is licensed under a Creative Commons Attribution-Noncommercial-Share Alike 3.0 United States License. 
http://creativecommons.org/licenses/by-nc-sa/3.0/us/
 */
 

namespace Linq2SqlSample
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            AdventureWorksDataContext db = new AdventureWorksDataContext();            

            var query = from prod in db.Products
                        from x in db.ProductProductPhotos
                        from photo in db.ProductPhotos
                        where ( prod.ProductID == x.ProductID
                        && x.ProductPhotoID == photo.ProductPhotoID
                        && x.Primary == true )
                        select new
                        {
                            prod.Name,
                            prod.ListPrice,
                            photo.ThumbNailPhoto,
                            photo.LargePhoto
                        };
            
            this.listView1.ItemsSource = query;
        }
    }

    public class ImageDataConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter,
        System.Globalization.CultureInfo culture)
        {
    		byte[] image = ((System.Data.Linq.Binary)value).ToArray();
    		return image;
        }

        public object ConvertBack(object value, Type targetType, object parameter,
        System.Globalization.CultureInfo culture)
        {
            throw new NotSupportedException();
        }
    }
}
